name: big-bear-mailpit
services:
  app:
    container_name: mailpit
    environment:
      - TZ=UTC
    image: axllent/mailpit:v1.13
    labels:
      icon: https://raw.githubusercontent.com/axllent/mailpit/831157a52e77415cf074331bb1a54f1cf7e3bfc6/server/ui/favicon.svg
    ports:
      - mode: ingress
        target: 8025
        published: "8025"
        protocol: tcp
      - mode: ingress
        target: 1025
        published: "1025"
        protocol: tcp
    restart: unless-stopped
    volumes:
      - type: bind
        source: /DATA/AppData/big-bear-mailpit/data
        target: /data
        bind:
          create_host_path: true
    x-casaos:
      envs:
        - container: TZ
          description:
            en_us: Timezone
      ports:
        - container: "8025"
          description:
            en_us: "Container Port: 8025"
      volumes:
        - container: /data
          description:
            en_us: "Container Path: /data"
    devices: []
    cap_add: []
    command: []
    networks:
      - default
    privileged: false
    cpu_shares: 90
    deploy:
      resources:
        limits:
          memory: 5967M
networks:
  default:
    name: big-bear-mailpit_default
x-casaos:
  architectures:
    - amd64
    - arm64
  author: BigBearTechWorld
  category: BigBearCasaOS
  description:
    en_us: Mailpit is a multi-platform email testing tool & API for developers.
  developer: axllent
  icon: https://raw.githubusercontent.com/axllent/mailpit/831157a52e77415cf074331bb1a54f1cf7e3bfc6/server/ui/favicon.svg
  main: app
  port_map: "8025"
  store_app_id: big-bear-mailpit
  tagline:
    en_us: Mailpit
  thumbnail: https://github.com/axllent/mailpit/blob/develop/docs/screenshot.png?raw=true
  title:
    en_us: Mailpit
    custom: ""
  hostname: ""
  scheme: http
  index: /
